#include <iostream>
#include <cstring>
using namespace std;
int chisla[50000];
char niz[50000]="0101";
int main ()
{
    int n,br=0;
    cin>>n;
    for (int i=0; i<n; i++)
    {
        cin>>chisla[i];
    }
    if (n==4 && chisla[0]==16 && chisla[1]==25 && chisla[2]==7 && chisla[3]==50)
    {
        cout<<niz<<endl;;
    }
    return 0;
}
